#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-JlPgmYrnuZp6AsbKrWpzNn-dns-internal
key:                  dns-4.0.1-JlPgmYrnuZp6AsbKrWpzNn-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  aae484747e4e53e604bdd88cff8f5076
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/dns-4.0.1
hs-libraries:         HSdns-4.0.1-JlPgmYrnuZp6AsbKrWpzNn-dns-internal
depends:
    array-0.5.4.0 async-2.2.3-7pljJfCB7e74FDaNZigg6K
    attoparsec-0.14.3-HnQCbV25WQCBysTZL2pI8w
    auto-update-0.1.6-LhyZmuzI6J01piKrpHXnBo base-4.15.1.0
    base16-bytestring-1.0.2.0-6TYcQmCggRDBNs9e0oUW0N
    base64-bytestring-1.2.1.0-FD5fEaHovEVLo8S0ZAedp0
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-F73X5cb4KpaA5YQwsDP2gi
    hourglass-0.2.12-4ky0djbx7yh6IwbK6xEGv2
    iproute-1.7.12-2fRW0cm2v8HGmbPDBInj6t mtl-2.2.2
    network-3.1.2.7-EdwWg1HzTu96DUWsrJpQQz
    psqueues-0.2.7.3-J33RjxI3ztlICza64qU7SQ

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-6hU7ZuOQMTVJKYK7nVc335
key:                  dns-4.0.1-6hU7ZuOQMTVJKYK7nVc335
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  0ab75d1243c4fcc96dca650199727bba
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/dns-4.0.1
hs-libraries:         HSdns-4.0.1-6hU7ZuOQMTVJKYK7nVc335
depends:
    array-0.5.4.0 async-2.2.3-7pljJfCB7e74FDaNZigg6K
    attoparsec-0.14.3-HnQCbV25WQCBysTZL2pI8w
    auto-update-0.1.6-LhyZmuzI6J01piKrpHXnBo base-4.15.1.0
    base16-bytestring-1.0.2.0-6TYcQmCggRDBNs9e0oUW0N
    base64-bytestring-1.2.1.0-FD5fEaHovEVLo8S0ZAedp0
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.29-F73X5cb4KpaA5YQwsDP2gi
    dns-4.0.1-JlPgmYrnuZp6AsbKrWpzNn-dns-internal
    hourglass-0.2.12-4ky0djbx7yh6IwbK6xEGv2
    iproute-1.7.12-2fRW0cm2v8HGmbPDBInj6t mtl-2.2.2
    network-3.1.2.7-EdwWg1HzTu96DUWsrJpQQz
    psqueues-0.2.7.3-J33RjxI3ztlICza64qU7SQ

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

